App\Library\Amazon\Classes\FurnitureAndDecor:
    xml_root_name: FurnitureAndDecor
    properties:
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        canShipInOriginalContainer:
            expose: true
            access_type: public_method
            serialized_name: CanShipInOriginalContainer
            accessor:
                getter: getCanShipInOriginalContainer
                setter: setCanShipInOriginalContainer
            type: boolean
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        finish:
            expose: true
            access_type: public_method
            serialized_name: Finish
            accessor:
                getter: getFinish
                setter: setFinish
            type: string
        identityPackageType:
            expose: true
            access_type: public_method
            serialized_name: IdentityPackageType
            accessor:
                getter: getIdentityPackageType
                setter: setIdentityPackageType
            type: string
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        lightSourceType:
            expose: true
            access_type: public_method
            serialized_name: LightSourceType
            accessor:
                getter: getLightSourceType
                setter: setLightSourceType
            type: string
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        maximumCoverageArea:
            expose: true
            access_type: public_method
            serialized_name: MaximumCoverageArea
            accessor:
                getter: getMaximumCoverageArea
                setter: setMaximumCoverageArea
            type: App\Library\Amazon\Classes\AreaDimensionOptionalUnitType
        numberOfSets:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSets
            accessor:
                getter: getNumberOfSets
                setter: setNumberOfSets
            type: integer
        outputCapacity:
            expose: true
            access_type: public_method
            serialized_name: OutputCapacity
            accessor:
                getter: getOutputCapacity
                setter: setOutputCapacity
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        pieceCount:
            expose: true
            access_type: public_method
            serialized_name: PieceCount
            accessor:
                getter: getPieceCount
                setter: setPieceCount
            type: integer
        shape:
            expose: true
            access_type: public_method
            serialized_name: Shape
            accessor:
                getter: getShape
                setter: setShape
            type: string
        threadCount:
            expose: true
            access_type: public_method
            serialized_name: ThreadCount
            accessor:
                getter: getThreadCount
                setter: setThreadCount
            type: integer
        towelWeight:
            expose: true
            access_type: public_method
            serialized_name: TowelWeight
            accessor:
                getter: getTowelWeight
                setter: setTowelWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\FurnitureAndDecor\VariationDataAType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\WattageDimensionOptionalUnitType
        adjustmentType:
            expose: true
            access_type: public_method
            serialized_name: AdjustmentType
            accessor:
                getter: getAdjustmentType
                setter: setAdjustmentType
            type: string
        formFactor:
            expose: true
            access_type: public_method
            serialized_name: FormFactor
            accessor:
                getter: getFormFactor
                setter: setFormFactor
            type: string
        frameType:
            expose: true
            access_type: public_method
            serialized_name: FrameType
            accessor:
                getter: getFrameType
                setter: setFrameType
            type: string
        installationType:
            expose: true
            access_type: public_method
            serialized_name: InstallationType
            accessor:
                getter: getInstallationType
                setter: setInstallationType
            type: string
        itemHardness:
            expose: true
            access_type: public_method
            serialized_name: ItemHardness
            accessor:
                getter: getItemHardness
                setter: setItemHardness
            type: string
        itemStyling:
            expose: true
            access_type: public_method
            serialized_name: ItemStyling
            accessor:
                getter: getItemStyling
                setter: setItemStyling
            type: string
        lineWeight:
            expose: true
            access_type: public_method
            serialized_name: LineWeight
            accessor:
                getter: getLineWeight
                setter: setLineWeight
            type: string
        numberOfDoors:
            expose: true
            access_type: public_method
            serialized_name: NumberOfDoors
            accessor:
                getter: getNumberOfDoors
                setter: setNumberOfDoors
            type: integer
        occasionType:
            expose: true
            access_type: public_method
            serialized_name: OccasionType
            accessor:
                getter: getOccasionType
                setter: setOccasionType
            type: string
        paintType:
            expose: true
            access_type: public_method
            serialized_name: PaintType
            accessor:
                getter: getPaintType
                setter: setPaintType
            type: string
        paperSize:
            expose: true
            access_type: public_method
            serialized_name: PaperSize
            accessor:
                getter: getPaperSize
                setter: setPaperSize
            type: string
        seatingCapacity:
            expose: true
            access_type: public_method
            serialized_name: SeatingCapacity
            accessor:
                getter: getSeatingCapacity
                setter: setSeatingCapacity
            type: integer
        specificUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsesForProduct
            accessor:
                getter: getSpecificUsesForProduct
                setter: setSpecificUsesForProduct
            type: string
        theme:
            expose: true
            access_type: public_method
            serialized_name: Theme
            accessor:
                getter: getTheme
                setter: setTheme
            type: string
        materialComposition:
            expose: true
            access_type: public_method
            serialized_name: MaterialComposition
            accessor:
                getter: getMaterialComposition
                setter: setMaterialComposition
            type: string
        itemTypeName:
            expose: true
            access_type: public_method
            serialized_name: ItemTypeName
            accessor:
                getter: getItemTypeName
                setter: setItemTypeName
            type: string
        powerSourceType:
            expose: true
            access_type: public_method
            serialized_name: PowerSourceType
            accessor:
                getter: getPowerSourceType
                setter: setPowerSourceType
            type: string
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: float
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: float
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: float
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        customerRestrictionType:
            expose: true
            access_type: public_method
            serialized_name: CustomerRestrictionType
            accessor:
                getter: getCustomerRestrictionType
                setter: setCustomerRestrictionType
            type: string
        efficiency:
            expose: true
            access_type: public_method
            serialized_name: Efficiency
            accessor:
                getter: getEfficiency
                setter: setEfficiency
            type: string
